import 'package:syncrow_web/pages/analytics/models/energy_data_model.dart';
import 'package:syncrow_web/pages/analytics/params/get_total_energy_consumption_param.dart';
import 'package:syncrow_web/pages/analytics/services/total_energy_consumption/total_energy_consumption_service.dart';
import 'package:syncrow_web/services/api/http_service.dart';

class RemoteTotalEnergyConsumptionService implements TotalEnergyConsumptionService {
  const RemoteTotalEnergyConsumptionService(this._httpService);

  final HTTPService _httpService;

  @override
  Future<List<EnergyDataModel>> load(
    GetTotalEnergyConsumptionParam param,
  ) async {
    try {
      final response = await _httpService.get(
        path: 'endpoint',
        showServerMessage: true,
        expectedResponseModel: (data) {
          final json = data as Map<String, dynamic>? ?? {};
          final mappedData = json['data'] as List<dynamic>? ?? [];
          return mappedData.map((e) {
            final jsonData = e as Map<String, dynamic>;
            return EnergyDataModel.fromJson(jsonData);
          }).toList();
        },
      );
      return response;
    } catch (e) {
      throw Exception('Failed to load total energy consumption: $e');
    }
  }
}
